- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# FbxAnimUtilities::CurveIntfce Class Reference

Search for all occurrences

## Detailed Description

Definition at line 102 of file fbxanimutilities.h.

`#include <fbxanimutilities.h>`

List of all members.

## Public Member Functions
| CurveIntfce (void *pData)
| CurveIntfce (FbxAnimCurve *pAnimCurve)
| ~CurveIntfce ()
float | GetValue ()
void | SetValue (float pVal)
int | KeyGetCount ()
void * | GetCurveHandle ()
void | SetCurveHandle (void *pData)
int | GetPreExtrapolation ()
int | GetPreExtrapolationCount ()
int | GetPostExtrapolation ()
int | GetPostExtrapolationCount ()
bool | IsValid ()
CurveIntfce & | operator= (CurveIntfce &lRhs)
bool | operator== (CurveIntfce &lRhs)
## Friends
class | FbxAnimUtilities

## Constructor & Destructor Documentation

CurveIntfce | ( | void * | pData | ) |

CurveIntfce | ( | FbxAnimCurve * | pAnimCurve | ) |

~CurveIntfce | ( |  | ) |

## Member Function Documentation

float GetValue | ( |  | ) |

Search for all occurrences

void SetValue | ( | float | pVal | ) |

Search for all occurrences

int KeyGetCount | ( |  | ) |

Search for all occurrences

void* GetCurveHandle | ( |  | ) |

Search for all occurrences

void SetCurveHandle | ( | void * | pData | ) |

Search for all occurrences

int GetPreExtrapolation | ( |  | ) |

Search for all occurrences

int GetPreExtrapolationCount | ( |  | ) |

Search for all occurrences

int GetPostExtrapolation | ( |  | ) |

Search for all occurrences

int GetPostExtrapolationCount | ( |  | ) |

Search for all occurrences

bool IsValid | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 123 of file fbxanimutilities.h.

    { return mImp != NULL; }

CurveIntfce& operator= | ( | CurveIntfce & | lRhs | ) | `[inline]`

Definition at line 124 of file fbxanimutilities.h.

            {
                mImp = lRhs.mImp;
                mIsAnimCurveImp = lRhs.mIsAnimCurveImp;
                return *this;
            }

bool operator== | ( | CurveIntfce & | lRhs | ) | `[inline]`

Definition at line 131 of file fbxanimutilities.h.

            {
                return (mImp == lRhs.mImp);
            }

## Friends And Related Function Documentation

friend class FbxAnimUtilities `[friend]`

Search for all occurrences

Definition at line 137 of file fbxanimutilities.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimutilities.h

FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce
FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce FbxAnimUtilities::CurveIntfce